---
updatedAt: 2025-10-08T22:06:52.000Z
agentTools:
  projectIndex: https://docs.quable.com/v5-EN/llms.txt
---

# Get a key/value

Retrieves a KeyValue resource.

# OpenAPI definition

```json
{
  "openapi": "3.0.3",
  "info": {
    "title": "Quable PIM API documentation",
    "description": "# Pagination, Filtering, and Sorting\nMany times, a large number of results could be returned when making API calls. For that reason, one need to paginate the results, alongside allowing filtering and/or sorting in specific order, to make sure responses are easier to handle.\n## Pagination\nWhen available, pagination can be implemented using one or both of two query parameters:\n* limit to define the number of items returned in the response, and<br />\n* page to specify the *sequence* or *range* of the items list<br /><br />\nQuable API has a default limit of 100 for results (except on /assets, /documents, /classifications, /links and /variants endpoints), and start at page 1, but it is advised to always explicitly set at least the limit parameter.\n## Filtering\nMost API endpoints do allow basic filtering on several of their properties (one filter for one property).<br /> Possibility to filter on multiple values by using square brackets on those qualified.<br /> Example : /api/endpoint?id[]=value1&documentType.id[]=value2<br /><br />\nSome of them have a generic ‘**search**‘ filter available which allow a cross-properties filtering. Those properties may change over time, without warnings, when needed.<br /><br /> Filters should always be used as **query parameters**.<br /><br />\nSome of them accept a ‘**X-Quable-Locale**‘ header in order to specify the Locale on which filters must be applied.\n## Sorting\nSorting is determined through the use of the ‘**order**’ query string parameter.<br /> It use the square brackets to specify the property on which the sort must apply, and the supported sort directions, either ‘**asc**’ for ascending or ‘**desc**’ for descending, as value.<br /> Example : /api/endpoint?order[id]=asc<br /><br />\nBy default, the sort on translated properties like ‘name‘ is make on the **default language** of the PIM.<br /> This behavior can be overridden by passing the chosen - and available - **language** in the ‘**Accept-Language**‘ header parameter of the query.",
    "version": "2d049f10adc518320a4a4ebeb07b64db5b919923"
  },
  "servers": [
    {
      "url": "https://{instance_name}.quable.com/api",
      "description": ""
    }
  ],
  "paths": {
    "/keyvalues/{id}": {
      "get": {
        "operationId": "getKeyValueItem",
        "tags": [
          "Utility"
        ],
        "responses": {
          "200": {
            "description": "KeyValue resource",
            "content": {
              "application/ld+json": {
                "schema": {
                  "$ref": "#/components/schemas/KeyValue.jsonld-read"
                }
              },
              "application/hal+json": {
                "schema": {
                  "$ref": "#/components/schemas/KeyValue-read"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/KeyValue-read"
                }
              },
              "text/html": {
                "schema": {
                  "$ref": "#/components/schemas/KeyValue-read"
                }
              }
            }
          },
          "404": {
            "description": "Resource not found"
          }
        },
        "summary": "Get a key/value",
        "description": "Retrieves a KeyValue resource.",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "description": "Resource identifier",
            "required": true,
            "deprecated": false,
            "allowEmptyValue": false,
            "schema": {
              "type": "string"
            },
            "style": "simple",
            "explode": false,
            "allowReserved": false
          }
        ],
        "deprecated": false
      },
      "parameters": []
    }
  },
  "components": {
    "schemas": {
      "Identifier": {
        "title": "Identifier",
        "type": "string",
        "description": "This is the unique identifier of the resource",
        "pattern": "^[\\w\\s\\/|_.,&+-]+$",
        "maxLength": 255,
        "example": "identifier_example"
      },
      "KeyValue-read": {
        "type": "object",
        "required": [
          "value",
          "id"
        ],
        "properties": {
          "value": {
            "maxLength": 4294967295,
            "example": "RAW VALUE OR JSON CONTENT",
            "description": "TODOSWAGGER",
            "type": "string"
          },
          "isProtected": {
            "example": false,
            "default": false,
            "description": "If a key/value is declared as \"protected\", no update will be authorized unless it is done by a super admin account.",
            "type": "boolean",
            "nullable": true
          },
          "isPublic": {
            "example": false,
            "default": false,
            "description": "If a key/value is declared as \"public\", access will be available to this resource with the verb GET and without any authentication. Otherwise, an oAuth token will be required.",
            "type": "boolean",
            "nullable": true
          },
          "id": {
            "pattern": "^(.*(^[\\w\\s/|_.,&+-]+$).*)$",
            "maxLength": 255,
            "$ref": "#/components/schemas/Identifier",
            "type": "string"
          },
          "dateModified": {
            "readOnly": true,
            "description": "This is an ISO datetime",
            "type": "string",
            "format": "date-time",
            "nullable": true
          },
          "dateCreated": {
            "readOnly": true,
            "description": "This is an ISO datetime",
            "type": "string",
            "format": "date-time",
            "nullable": true
          }
        }
      },
      "KeyValue.jsonld-read": {
        "type": "object",
        "required": [
          "value",
          "id"
        ],
        "properties": {
          "@context": {
            "readOnly": true,
            "oneOf": [
              {
                "type": "string"
              },
              {
                "type": "object",
                "properties": {
                  "@vocab": {
                    "type": "string"
                  },
                  "hydra": {
                    "type": "string",
                    "enum": [
                      "http://www.w3.org/ns/hydra/core#"
                    ]
                  }
                },
                "required": [
                  "@vocab",
                  "hydra"
                ],
                "additionalProperties": true
              }
            ]
          },
          "@id": {
            "readOnly": true,
            "type": "string"
          },
          "@type": {
            "readOnly": true,
            "type": "string"
          },
          "value": {
            "maxLength": 4294967295,
            "example": "RAW VALUE OR JSON CONTENT",
            "description": "TODOSWAGGER",
            "type": "string"
          },
          "isProtected": {
            "example": false,
            "default": false,
            "description": "If a key/value is declared as \"protected\", no update will be authorized unless it is done by a super admin account.",
            "type": "boolean",
            "nullable": true
          },
          "isPublic": {
            "example": false,
            "default": false,
            "description": "If a key/value is declared as \"public\", access will be available to this resource with the verb GET and without any authentication. Otherwise, an oAuth token will be required.",
            "type": "boolean",
            "nullable": true
          },
          "id": {
            "pattern": "^(.*(^[\\w\\s/|_.,&+-]+$).*)$",
            "maxLength": 255,
            "$ref": "#/components/schemas/Identifier",
            "type": "string"
          },
          "dateModified": {
            "readOnly": true,
            "description": "This is an ISO datetime",
            "type": "string",
            "format": "date-time",
            "nullable": true
          },
          "dateCreated": {
            "readOnly": true,
            "description": "This is an ISO datetime",
            "type": "string",
            "format": "date-time",
            "nullable": true
          }
        }
      }
    },
    "securitySchemes": {
      "apiKey": {
        "type": "apiKey",
        "description": "Value for the Authorization header parameter.",
        "name": "Authorization",
        "in": "header"
      }
    }
  },
  "security": [
    {
      "apiKey": []
    }
  ]
}
```